- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- XAnimateBackgroundImage
- XAnimateImage

# NAME

animate - Interactively animate an image sequence

# SYNOPSIS

void XAnimateBackgroundImage( Display *display, XResourceInfo *resource_info, Image *images );

# FUNCTION DESCRIPTIONS

## XAnimateBackgroundImage

> XAnimateBackgroundImage() animates an image sequence in the background of a window.

The format of the XAnimateBackgroundImage method is:

> void XAnimateBackgroundImage ( Display *display, XResourceInfo *resource_info, Image *images );

A description of each parameter follows:

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 XResourceInfo structure.

images:

  The image list.

## XAnimateImage

`XAnimateImages()` displays an image via X11.

The format of the XAnimateImages method is:

        Image *XAnimateImages(Display *display,XResourceInfo *resource_info,
          char **argv,const int argc,Image *images)

A description of each parameter follows:

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 XResourceInfo structure.

argv:

  Specifies the application's argument list.

argc:

  Specifies the number of arguments.

images:

  The image list.